package ru.yandex.autotests.direct.web.pages.regionselectpopup;

import ru.yandex.autotests.direct.web.data.CorrectionCpcValueEnum;

public class GeoCorrectionWeb {

    private String regionId;
    private CorrectionCpcValueEnum cpcValue;
    private String enteredValue;

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public CorrectionCpcValueEnum getCpcValue() {
        return cpcValue;
    }

    public void setCpcValue(CorrectionCpcValueEnum correctionCpcValueEnum) {
        this.cpcValue = correctionCpcValueEnum;
    }

    public String getEnteredValue() {
        return enteredValue;
    }

    public void setEnteredValue(String enteredValue) {
        this.enteredValue = enteredValue;
    }

    public GeoCorrectionWeb withRegionId(String regionId) {
        this.regionId = regionId;
        return this;
    }

    public GeoCorrectionWeb withCpcValue(CorrectionCpcValueEnum cpcValue) {
        this.cpcValue = cpcValue;
        return this;
    }

    public GeoCorrectionWeb withEnteredValue(String enteredValue) {
        this.enteredValue = enteredValue;
        return this;
    }
}
